Engine Details
Show engine metadata along with its performance and tuning information.
curl --request GET \
--url https://api.remapdb.com/v2/engines/{engine_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.remapdb.com/v2/engines/{engine_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.remapdb.com/v2/engines/{engine_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
All API methods require Bearer authentication. Use your existing API key as the bearer token.
Authorization header format: Authorization: Bearer YOUR_API_KEY.
Headers
Method accept custom language. Content of the header should be the code of the language you are requesting. E.g.: en.
bg, da, de, en, es, et, fi, fr, hr, it, lt, lv, nb, nl, nn, pt, ru, sv, tr, zs "en"
Path Parameters
Engine ID.
1 <= x <= 9007199254740991Response
Success
Engine object
Engine capacity in cubic cm.
1800
Number of cylinders.
4
List of ECU's used in this engine.
1000Show child attributes
Show child attributes
Engine code.
2048^[^\u0000-\u001F\u007F]*$"XYZ"
Engine type.
2048^[^\u0000-\u001F\u007F]*$"Petrol"
Name of the fuel.
2048^[^\u0000-\u001F\u007F]*$"Petrol"
Stable catalogue ID. Private IDs start at 4294967296; all IDs are exact JavaScript-safe integers.
1 <= x <= 90071992547409911234
Engine name.
2048^[^\u0000-\u001F\u007F]*$"1.8i 125hp 170Nm"
Engine performance object
Show child attributes
Show child attributes
URL-friendly name (slug).
2048^[^\u0000-\u001F\u007F]*$"1-8i-125hp-170nm"
List of TCU's used in this engine.
1000Show child attributes
Show child attributes
Engine tuning object
Show child attributes
Show child attributes
Year of manufacture.
2018
Shared catalogue record or an addition owned by the authenticated customer.
shared, private 